﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FacturaloPlusCS
{
    public partial class Form1 : Form
    {
        String CFDI, keyPEM, cerPEM;
        OpenFileDialog ofd;

        public Form1()
        {
            InitializeComponent();
            CFDI = "";
            keyPEM = "";
            cerPEM = "";
            ofd = new OpenFileDialog();
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            wsFacturaloPlus.ServicioTimbradoWSPortTypeClient cliente = new wsFacturaloPlus.ServicioTimbradoWSPortTypeClient();


            wsFacturaloPlus.RespuestaTimbrado res = cliente.timbrarJSON2(textBox3.Text, CFDI, keyPEM, cerPEM, textBox6.Text);

            textBox7.Text = "code: " + res.code + "\r\n" +
                "message: " + res.message;

            if (res.code == "200" || res.code == "307")
                textBox1.Text = "data: " + res.data;
        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                textBox2.Text = ofd.FileName;
                CFDI = System.IO.File.ReadAllText(textBox2.Text);
                textBox1.Text = CFDI;
                CFDI = System.Convert.ToBase64String(
                            System.IO.File.ReadAllBytes(textBox2.Text)
                        );
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                textBox4.Text = ofd.FileName;
                /*keyPEM = System.Convert.ToBase64String(
                            System.IO.File.ReadAllBytes(textBox4.Text)
                        );*/
                keyPEM = System.IO.File.ReadAllText(textBox4.Text);
                textBox1.Text = keyPEM;
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                textBox5.Text = ofd.FileName;
                /*cerPEM = System.Convert.ToBase64String(
                                System.IO.File.ReadAllBytes(textBox5.Text)
                        );*/
                cerPEM = System.IO.File.ReadAllText(textBox5.Text);
                textBox1.Text = cerPEM;
            }
        }
    }
}
